
Application: gvSIG desktop - gvSIG bugs #1923
Snapping with other layers doesn't work
06/21/2013 12:33 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1. Load two vector layers
2. Start editing in layer #1.
3. Right click > Editing properties
4. Check the layer #2 (by default is only checked the layer which is in edition mode) and press Ok.
5. Pass the mouse pointer over some elements of the layer #2. Check that nothing happens (mouse pointer should change indicating
that snapping is active).

As additional info, if we start editing the layer #2 and just stop editing without saving changes, the snapping starts working.

History
#1 - 08/20/2013 11:52 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 08/20/2013 02:02 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Improved management of list "layersToSnap".
Now, when editing ends, snapping becomes inactive.

gvsig-desktop:r40614

#3 - 01/13/2014 09:45 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#4 - 01/27/2014 04:36 PM - Álvaro Anguix
- Status changed from Fixed to Closed
